Page MenuHomePhabricator

Mobile VE always opens to the top of the page in non-section mode
Closed, ResolvedPublic

Description

Mobile VE always opens to the top of the page in non-section mode, even when a section edit link was clicked. It should scroll down to the clicked section.

Event Timeline

matmarex created this task.Jun 7 2019, 10:31 AM
Restricted Application added a project: VisualEditor. · View Herald TranscriptJun 7 2019, 10:31 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 516473 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/VisualEditor@master] Wait for window to be scrollable before trying to scroll to section

https://gerrit.wikimedia.org/r/516473

Change 516473 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Reorder calls so that window is scrollable when trying to scroll to section

https://gerrit.wikimedia.org/r/516473

matmarex moved this task from Inbox to High Priority on the Editing QA board.Jun 12 2019, 4:12 PM
ppelberg closed this task as Resolved.Aug 6 2019, 2:12 AM
ppelberg claimed this task.